## org.apache.batik.script.rhino
Class RhinoInterpreter.RhinoGetDelegate

    java.lang.Object
      org.apache.batik.script.rhino.RhinoInterpreter.RhinoGetDelegate

Enclosing class:
  RhinoInterpreter

public static class RhinoInterpreter.RhinoGetDelegate
extends java.lang.Object

Class to act as 'get' delegate for Rhino. This uses the currentContext to get the current Interpreter object which allows it to lookup the object requested. This gets around the fact that the global object gets referenced from a static context but the Context does not.

Method Summary
`java.lang.Object` `get(org.mozilla.javascript.ScriptableObject so)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public java.lang.Object get(org.mozilla.javascript.ScriptableObject so)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.